#ifndef UTIL_H_
#define UTIL_H_

#define MINEPS (1e-7)

#define MAXV 5000 // vocabulary size, starting from 0
#define MAXK 500 // max # of topics
#define MAX_ROUND 30
#define MAXFOLD 10

#define DEFAULT_ALPHA 0.05
#define DEFAULT_BETA 1.0
#define DEFAULT_DELTA 1
#define DEFAULT_RHO 1.0

#define MAX(x,y) ((x)>(y)?(x):(y))
#define MIN(x,y) ((x)<(y)?(x):(y))

#define SQR(x) ((x)*(x))

#define ADDR2D(i, j, D) ((i)*(D)+(j))
#define ADDR3D(i, j, k, D) ((i)*(D)*(D) + (j)*(D) + (k))

#endif
