% A: real dxd
% K: real scalar, <= d
% W: real dxK

	t = cputime;

	f = fopen('whiten.input', 'r');
	d = fscanf(f, '%d', 1);
	K = fscanf(f, '%d', 1);
	A = zeros(d, d);
	for i = 1:d
		A(i, :) = fscanf(f, '%f', d);
	end
	fclose(f);

    [UL, S, UR] = svd(A);
    W = UL(:, 1:K) * (S(1:K, 1:K))^(-0.5);

    f = fopen('whiten.output', 'w');
	for i = 1:d
		fprintf(f, '%0.12e ', W(i, :));
		fprintf(f, '\n');
	end
	fclose(f);

	fprintf('time = %f\n', cputime - t);
    
	exit
